Jump to content

Armory Update/Upgrade


Recommended Posts

  • 3 weeks later...

 

 

Armory 0.95.1 ist raus.

 

Mehr dazu siehe https://btcarmory.com/0.95.1-release/

 

Mit der Scharfschaltung von Segregated witness (soft fork) wird man mit der 0.94.x nicht mehr arbeiten können.

 

 

Hallo Axiom 0815,

Habe gerade diese Version runtergeladen.Aber da scheit ein bug drin zu sein.

Denn es kommt eine Meldung DB mismatch,select another DBdir (sinngemäß,da ich wieder auf 0.93.3 umgestellt habe,da funktioniert alles)

Habe ,wie immer,Armory den Installationspfad selbst wählen lassen.

Weiß Du näheres,bzw.what to do wenn ich download die neue Version?

Link to comment
Share on other sites

Auf bitcointalk.org berichten user über das gleich Problem.Habe da mal gefragt how to fix the problem.

johnlu schrieb:

It seems to be working now, the problem was ArmoryDB didn't close after armory was closed...

Wie er das gemacht hat,habe ich angefragt.

Mal sehen

Link to comment
Share on other sites

Hallo Axiom 0815,

Habe gerade diese Version runtergeladen.Aber da scheit ein bug drin zu sein.

Denn es kommt eine Meldung DB mismatch,select another DBdir (sinngemäß,da ich wieder auf 0.93.3 umgestellt habe,da funktioniert alles)

Die exakte Meldung lautete:

The DB has returned the following error:

 

DB version mismatch. Use another dbdir!

 

Armory will now shutdown.

 

Habe ,wie immer,Armory den Installationspfad selbst wählen lassen.

Weiß Du näheres,bzw.what to do wenn ich download die neue Version?

Link to comment
Share on other sites

Du musst also Deine alten Daten sichern und dann Armory sauber deinstallieren.

Dann Neuinstallation und altes Wallet wieder rein.

 

 

Welche alten Daten genau?

Blocks ? Blockchain? Database?

Genügt es ,diese alten Daten auf dem PC auf einen anderen Datenträger(bei mir :lokaler Datenträger(E.) auf dem PC zu verschieben und nach der Neuinstallation wieder zurückschieben?

Link to comment
Share on other sites

Es genügt das Vezeichnis umzubenennen. Wir reden hier von Armory. Nicht verwechseln mir Bitcoin Core.

Armory baut eine neue Datenbank auf, komplett NEU und nicht kompatibel mit der alten. Also nicht mit zurück schieben.

 

Nur das Wallet kann dann später wieder geholt werden.

 

Segregated witness dauert aber noch. Du kannst Dir also Zeit lassen.

 

Axiom

  • Love it 1
Link to comment
Share on other sites

Die neue Version von Armory hat gegenüber der älteren 0.93.3 folgende Schwächen:

Beim Start erscheint sofort im Fenster 

Initialising bitcoin engine

 

ein grüner Balken,der in der alten Version sowohl den prozentualen Fortschritt beim Initialisieren anzeigt wie auch eine Berechnung der Dauer der Initialisierung.

Jetzt ist das weg,d.h.man kann  nicht mehr abschätzen wie lange der Ini-Prozess noch dauert.

Weiterhin:

beim Schließen des Programms erscheint nicht mehr der Hinweis:

peparing to shut down

 

sondern das Programm schließt sofort.

Das könnte insofern problematisch werden,denn Armory schreibt,daß manche Probleme entstehen können ,fals das Programm nicht sauber geschlossen wurde

Edited by segeln
Link to comment
Share on other sites

Der Client und die Datenbank ist jetzt in einzelne Programme getrennt. Selbst das Datenverzeichnis kann jetzt (extra) woanders hin verlegt werden.

Das Entscheiden ist, dass mit Bicoin Core 0.13.1 Segregated witness (soft fork) "tickt".

 

Wenn SW aktiv ist (95% der Blocke), läuft nichts mehr mit der alten Version. Bitcoin, die Du gesendet bekommst, kommen bei Dir nicht mehr an.

 

Nun, es wird noch die 0,95.2 usw. geben. Sie ist ja schon im Test...

Auch die Ziele wie weitere Sprachen zu ermöglichen und BIP32 find ich Okay. (So kommt man aus der Sackgasse.)

 

Sonst gibt, wie immer, englischsprachige Software supporte ich nicht. :P

 

Axiom

Link to comment
Share on other sites

  • 3 months later...

Armory 0.95.1 ist raus.

 

Mit der Scharfschaltung von Segregated witness (soft fork) wird man mit der 0.94.x nicht mehr arbeiten können.

 

Grüß dich Axiom,

 

ich habe diese Woche die 0.95.1 installiert. Seit dem läuft immer die ArmoryDB.exe parallel zum Programm. Schließe ich diese, werden keine weiteren Blöcke mehr runter geladen. Ist es normal, dass die ArmoryDB.exe sichtbar nebenher läuft?

 

Sollte SW jemals aktiviert werden... Wie schaut es dann mit der Signierung einer offline transaction auf einer (ur)alten Version im cold storage aus? Möglich, oder nicht?

 

Vielen Dank und Gruß,

 

btc.crunch

Link to comment
Share on other sites

Hallo btc.crunch,

 

ja es ist so, wie Du vermutest. Armory hat eine eigene, neue Datenbank.

Aber es wird trotzdem der Bitcoin Core benötigt, wie auch in den alten Versionen.

 

Armory macht gerade eine Umstellungsphase durch, von alten Programmierteam zu jetzt einen neuen.

Solltest Du also gerade jetzt mit Armory anfangen, wäre es bestimmt eine bessere Idee, noch etwas zu warten. Mit der Version 0.96 kommt auch eine neue Version Wallets. (Mehr https://github.com/goatpig/BitcoinArmory/blob/dev/changelog.txt)

 

Die neue Homepage ist https://btcarmory.com/.

 

Axiom

Edited by Axiom0815
  • Love it 1
Link to comment
Share on other sites

Solltest Du also gerade jetzt mit Armory anfangen, wäre es bestimmt eine bessere Idee, noch etwas zu warten.

 

Nein, nein, ich nutze Armory seit 2-3 Jahren.

Vielen Dank für die beiden Links, kannte ich noch nicht.

 

Sehr interessant die neuen Optionen zur Berechnung / Einstellung der Transaktionsgebühren. Da warte ich schon lange drauf. Electrum hat das meiner Meinung ganz gut gelöst.

 

Wie schaut es denn mit untenstehender Frage aus? Kannst du die beantworten?

Ich nutze das watching only wallet und signiere offline.

"Sollte SW jemals aktiviert werden... Wie schaut es dann mit der Signierung einer offline transaction auf einer (ur)alten Version im cold storage aus? Möglich, oder nicht?"

Wird das mit neuen Versionen möglich sein?

 

Nehmen wir an in einem Jahr gibt es die 0.96, SW wurde aktiviert und hier läuft eine watching only wallet.

Offline zur Signierung läuft noch eine 0.92 oder 0.93.

Funktioniert das dann?

 

Gruß, btc.crunch

Link to comment
Share on other sites

Mit der Version 0.96 kommt auch eine neue Version Wallets.

 

Damit sollten dann alle Wallets sich unterscheiden. Ob man nun dies so programmiert, dass auch die alten kompatibel sind und die Offlinesignierung usw. muss die neue Version erst zeigen.

Fakt ist, dass mit SW nur noch 0.95.x zu den Knoten kommunizieren kann.

 

Ich schätze aber, dass auch noch offline weiter mit der 0.92 oder 0.93 signiert werden kann. (32bit-Version)

Da aber alles im Umbruch ist, kann man nichts vorhersagen bzw. schätzen.

 

Axiom

  • Love it 1
Link to comment
Share on other sites

  • 2 months later...

So, seit 1.5. ist dann die Version 0.96 offiziell draußen.

 

download: https://github.com/goatpig/BitcoinArmory/releases

 

mehr dazu: https://btcarmory.com/0.96.0-release/

 

Neben den technischen Details der Umstellung und Einführung SW (jetzt mit Core 0.14.x),

gibt es auch eine deutsche Übersetzung.

Dazu in der Command-Zeile das Argument --language=<lang> zusätzlich angeben.

 

Axiom

Link to comment
Share on other sites

  • 2 weeks later...

Letztes Wochenende habe ich die 0.96 installiert. Diese lief anfangs nicht sehr stabil, ich hatte mehrere Abstürze und musste die DB neu aufbauen und neu scannen. Mittlerweile läuft sie aber einigermaßen.

Etwas seltsam kommen mir die Warungen im Log-File vor. Irgend jemand eine Ahnung, was damit gemeint ist?

 

-INFO  - 1494651803: (..\BlockchainScanner.cpp:650) scanned from height #466101 to #466101
-WARN  - 1494651810: (..\BDM_supportClasses.cpp:1891) running 10 zc parser threads
-WARN  - 1494651810: (..\BDM_supportClasses.cpp:1891) running 15 zc parser threads
-WARN  - 1494651810: (..\BDM_supportClasses.cpp:1891) running 20 zc parser threads
-WARN  - 1494651810: (..\BDM_supportClasses.cpp:1891) running 25 zc parser threads
-WARN  - 1494651810: (..\BDM_supportClasses.cpp:1891) running 30 zc parser threads

-INFO  - 1494651845: (..\BlockchainScanner.cpp:650) scanned from height #466102 to #466102
-INFO  - 1494651885: (..\BlockchainScanner.cpp:650) scanned from height #466103 to #466103
-INFO  - 1494651924: (..\BlockchainScanner.cpp:650) scanned from height #466104 to #466104
-INFO  - 1494651974: (..\BlockchainScanner.cpp:650) scanned from height #466105 to #466105
-INFO  - 1494652010: (..\BlockchainScanner.cpp:650) scanned from height #466106 to #466106
-INFO  - 1494652043: (..\BlockchainScanner.cpp:650) scanned from height #466107 to #466107
-INFO  - 1494652083: (..\BlockchainScanner.cpp:650) scanned from height #466108 to #466108
-INFO  - 1494652118: (..\BlockchainScanner.cpp:650) scanned from height #466109 to #466109
-INFO  - 1494652122: (..\BlockchainScanner.cpp:650) scanned from height #466110 to #466110
-INFO  - 1494652145: (..\BlockchainScanner.cpp:650) scanned from height #466111 to #466112
-INFO  - 1494652160: (..\BlockchainScanner.cpp:650) scanned from height #466113 to #466113
-INFO  - 1494652160: (..\BlockchainScanner.cpp:650) scanned from height #466114 to #466114
-INFO  - 1494652423: (..\BlockchainScanner.cpp:650) scanned from height #466115 to #466150
-WARN  - 1494652427: (..\BDM_supportClasses.cpp:1891) running 35 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 40 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 45 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 50 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 55 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 60 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 65 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 70 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 75 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 80 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 85 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 90 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 95 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 100 zc parser threads
-WARN  - 1494652430: (..\BDM_supportClasses.cpp:1891) running 105 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 110 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 115 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 120 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 125 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 130 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 135 zc parser threads
-WARN  - 1494652467: (..\BDM_supportClasses.cpp:1891) running 140 zc parser threads

-INFO  - 1494655383: (..\BlockchainScanner.cpp:650) scanned from height #466151 to #466151

 

Vielen Dank und Gruß,

btc.crunch

Link to comment
Share on other sites

  • 1 month later...

Ich habe vorgestern die Version 0.96.0.3 installiert.

Diese läuft jetzt den dritten Tag fehlerfrei und stabil.

 

https://github.com/goatpig/BitcoinArmory/releases/tag/v0.96.0.3-testing

 

Gruß, btc.crunch

 

Ja, aber es ist noch testing.

Auf welchen Betriebssystem arbeitest Du und welche Version ist Bitcoin Core?

 

Soll ja jetzt auch auf BIP 39 umgestellt werden. Also alles sehr interessant. Muss dann aber im Feldtest bei jeden laufen.

 

Axiom

Link to comment
Share on other sites

Ja, aber es ist noch testing.

Auf welchen Betriebssystem arbeitest Du und welche Version ist Bitcoin Core?

 

Soll ja jetzt auch auf BIP 39 umgestellt werden. Also alles sehr interessant. Muss dann aber im Feldtest bei jeden laufen.

 

Axiom

 

Ja, aber nachdem die 0.96 bei mir nur fehlerhaft lief und ich keine neuen Blöcke laden konnte, habe ich diese einfach mal zum Testen installiert. Hatte mich vorher bei https://bitcointalk.org/index.php?topic=1917955.0 informiert und gesehen, dass genau mein Fehler gefixed wurde.

 

Windows 10 x64 und Core 0.14.1

 

Gruß, btc.crunch

  • Love it 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.